package gov.va.med.esr.conversion;

public class AddressTest 
{
	private String streetName;
	private String city;
	private PostalCode postalCode;
	private String states[];
	
	/**
	 * @return Returns the city.
	 */
	public String getCity() {
		return city;
	}
	/**
	 * @param city The city to set.
	 */
	public void setCity(String city) {
		this.city = city;
	}
	/**
	 * @return Returns the streetName.
	 */
	public String getStreetName() {
		return streetName;
	}
	/**
	 * @param streetName The streetName to set.
	 */
	public void setStreetName(String streetName) {
		this.streetName = streetName;
	}
	
	/**
	 * @return Returns the postalCode.
	 */
	public PostalCode getPostalCode() {
		return postalCode;
	}
	/**
	 * @param postalCode The postalCode to set.
	 */
	public void setPostalCode(PostalCode postalCode) {
		this.postalCode = postalCode;
	}
	
	
	
	/**
	 * @return Returns the states.
	 */
	public String[] getStates() {
		return states;
	}
	/**
	 * @param states The states to set.
	 */
	public void setStates(String[] states) {
		this.states = states;
	}
	
	public String toString() 
	{
		StringBuffer buffer = new StringBuffer();
		buffer.append("streetName = " + streetName + "\n");
		buffer.append("city = " + city + "\n");
		buffer.append("postalCode = " + postalCode + "\n");
		if(states != null)
		{
			buffer.append("States: ");
			for(int i=0; i<states.length; i++)
			{
				buffer.append("states[" + i + "] = " + states[i] + "\n");
			}
		}
		return buffer.toString();
	}
}
